summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2011-11-07 19:12:55 -0600
committer Robby Workman <rworkman@slackbuilds.org>2011-11-26 09:08:07 -0600
commit970b3b9d65f284c99904fe408cf4978ce71800cc (patch)
tree4d066854ce9877fdbd7deecc1a4f3b1507fb660f
parentcc521ec98ab342680c8f1e53f4337c6a5a6424de (diff)
downloadslackbuilds-970b3b9d65f284c99904fe408cf4978ce71800cc.tar.gz
slackbuilds-970b3b9d65f284c99904fe408cf4978ce71800cc.tar.xz
audio/xmms-mp4: Added (Plugin to support .mp4/.m4a/.aac files in XMMS)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
-rw-r--r--audio/xmms-mp4/README10
-rw-r--r--audio/xmms-mp4/compilefix.diff12
-rw-r--r--audio/xmms-mp4/slack-desc19
-rw-r--r--audio/xmms-mp4/xmms-mp4.SlackBuild85
-rw-r--r--audio/xmms-mp4/xmms-mp4.info10
5 files changed, 136 insertions, 0 deletions
diff --git a/audio/xmms-mp4/README b/audio/xmms-mp4/README
new file mode 100644
index 0000000000..f9c4fe6a1e
--- /dev/null
+++ b/audio/xmms-mp4/README
@@ -0,0 +1,10 @@
+Plugin to support .mp4/.m4a/.aac files in XMMS 1.x.
+
+Notes:
+
+- Seeking is not supported.
+
+- This package is for XMMS 1, the one shipped with Slackware. It's not needed
+ for the xmms2 package from slackbuilds.org.
+
+- This requires faad2.
diff --git a/audio/xmms-mp4/compilefix.diff b/audio/xmms-mp4/compilefix.diff
new file mode 100644
index 0000000000..b4765c8643
--- /dev/null
+++ b/audio/xmms-mp4/compilefix.diff
@@ -0,0 +1,12 @@
+diff -Naur xmms-mp4_20050213/mp4ff/mp4ffint.h xmms-mp4_20050213.patched//mp4ff/mp4ffint.h
+--- xmms-mp4_20050213/mp4ff/mp4ffint.h 2005-02-13 05:41:31.000000000 -0500
++++ xmms-mp4_20050213.patched//mp4ff/mp4ffint.h 2011-10-23 15:22:30.000000000 -0400
+@@ -347,7 +347,7 @@
+ mp4ff_t *mp4ff_open_edit(mp4ff_callback_t *f);
+ #endif
+ void mp4ff_close(mp4ff_t *ff);
+-void mp4ff_track_add(mp4ff_t *f);
++static void mp4ff_track_add(mp4ff_t *f);
+ int32_t parse_sub_atoms(mp4ff_t *f, const uint64_t total_size,int meta_only);
+ int32_t parse_atoms(mp4ff_t *f,int meta_only);
+
diff --git a/audio/xmms-mp4/slack-desc b/audio/xmms-mp4/slack-desc
new file mode 100644
index 0000000000..c553baf892
--- /dev/null
+++ b/audio/xmms-mp4/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xmms-mp4: xmms-mp4 (Plugin to support .mp4/.m4a/.aac files in XMMS)
+xmms-mp4:
+xmms-mp4: This adds playback support for mp4/m4a/aac files to XMMS 1.
+xmms-mp4:
+xmms-mp4:
+xmms-mp4:
+xmms-mp4:
+xmms-mp4:
+xmms-mp4:
+xmms-mp4:
+xmms-mp4:
diff --git a/audio/xmms-mp4/xmms-mp4.SlackBuild b/audio/xmms-mp4/xmms-mp4.SlackBuild
new file mode 100644
index 0000000000..0e7553a743
--- /dev/null
+++ b/audio/xmms-mp4/xmms-mp4.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/bash
+
+# Slackware build script for xmms-mp4
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=xmms-mp4
+VERSION=${VERSION:-20050213}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${PRGNAM}_$VERSION
+tar xvf $CWD/${PRGNAM}_$VERSION.tar.bz2
+cd ${PRGNAM}_$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# modern gcc doesn't allow a header to declare a static function when
+# the function isn't defined as static, fix.
+patch -p1 < $CWD/compilefix.diff
+
+# Ancient configure script, generate a new one.
+autoreconf -fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/xmms-mp4/xmms-mp4.info b/audio/xmms-mp4/xmms-mp4.info
new file mode 100644
index 0000000000..87df6b28b0
--- /dev/null
+++ b/audio/xmms-mp4/xmms-mp4.info
@@ -0,0 +1,10 @@
+PRGNAM="xmms-mp4"
+VERSION="20050213"
+HOMEPAGE="http://fondriest.frederic.free.fr/realisations/"
+DOWNLOAD="http://fondriest.frederic.free.fr/fichiers/xmms-mp4_20050213.tar.bz2"
+DOWNLOAD_x86_64=""
+MD5SUM="bac0a31ea170788e0c7c252959b46528"
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="Erik Hanson"